Results 1 to 4 of 4

Thread: JSBuilder Issues

  1. #1
    Sencha User netnutmike's Avatar
    Join Date
    Jun 2008
    Location
    Frederick, MD
    Posts
    105
    Vote Rating
    0
      0  

    Default JSBuilder Issues

    Hi everyone,

    Not sure if this is the correct place to post this question, if not, sorry, point me in the correct direction.

    I have downloaded the SDK and JSBuilder seperate as well and when I run the java JSBuilder2.jar I get a "could not find the main class: JSBuilder2.jar" error. I have tried on windows, mac and unix with the same error on all 3. I am probably doing something wrong but I am not sure what that is.

    Does anyone have experience with this error?

    When I install the SDK and try to run the JSBuilder it wants me to install the jsdb components to run. I have not installed jsdb yet. I was hoping to not have to install it if possible.

    Mike

  2. #2
    Sencha User mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    40,050
    Answers
    3976
    Vote Rating
    1381
      0  

    Default

    jsbuilder shouldn't be used for Ext JS 4... if you are using 4.1.1a, 4.1.2a or 4.1.3 then you should use Sencha Cmd otherwise you can use the SDK Tools
    Mitchell Simoens @LikelyMitch
    Modus Create, Senior Frontend Engineer
    ________________
    Need any sort of Ext JS help? Modus Create is here to help!

    Check out my GitHub:
    https://github.com/mitchellsimoens

  3. #3
    Sencha User netnutmike's Avatar
    Join Date
    Jun 2008
    Location
    Frederick, MD
    Posts
    105
    Vote Rating
    0
      0  

    Default

    ok, I was trying to use the jsbuilder from the SDK. I thought CMD was only for compiling for mobile, etc. I will get that and give it a try.

    Thanks

  4. #4
    Ext JS Premium Member
    Join Date
    Nov 2009
    Location
    St Louis,MO
    Posts
    267
    Answers
    20
    Vote Rating
    18
      0  

    Default

    Quote Originally Posted by mitchellsimoens View Post
    jsbuilder shouldn't be used for Ext JS 4...
    ExtJS 4 is production. Sencha Cmd is beta. The sdk tools are beta.

    Until Cmd is out of beta and working much better than it does now, Sencha should continue to support jsbuilder. There is no reason not to use builder with 4, and a lot of reasons not to use cmd in a production environment.

    Mike, if it helps, this is the command line I use to run jsbuilder2 from linux:

    java -jar builder/JSBuilder2.jar --projectFile ./myproject.jsb2 --homeDir .

    and windoze:

    java -jar %drivep%\builder\JSBuilder2.jar --projectFile %drivep%\myproject.jsb2 --homeDir %drivep%

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •